// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class StackOfBoardsWAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new StackOfBoardsWAddonDeed();
			}
		}

		[ Constructable ]
		public StackOfBoardsWAddon()
		{
			AddComponent( new AddonComponent( 7129 ), 0, 0, 0 );
			AddonComponent ac = null;
			ac = new AddonComponent( 7129 );
			AddComponent( ac, 0, 0, 0 );

		}

		public StackOfBoardsWAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class StackOfBoardsWAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new StackOfBoardsWAddon();
			}
		}

		[Constructable]
		public StackOfBoardsWAddonDeed()
		{
			Name = "StackOfBoardsW";
		}

		public StackOfBoardsWAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}